TagLib::XM::Properties Class Reference

An implementation of audio property reading for XM. More...

`#include <xmproperties.h>`

Inheritance diagram for TagLib::XM::Properties:
[legend]
Collaboration diagram for TagLib::XM::Properties:
[legend]

## Public Types

enum | { LinearFreqTable = 1 }
Public Types inherited from TagLib::AudioProperties
enum | ReadStyle { Fast , Average , Accurate }

## Public Member Functions

| Properties (AudioProperties::ReadStyle propertiesStyle)
| ~Properties () override
| Properties (const Properties &)=delete
Properties & | operator= (const Properties &)=delete
int | channels () const override
unsigned short | lengthInPatterns () const
unsigned short | version () const
unsigned short | restartPosition () const
unsigned short | patternCount () const
unsigned short | instrumentCount () const
unsigned int | sampleCount () const
unsigned short | flags () const
unsigned short | tempo () const
unsigned short | bpmSpeed () const
void | setChannels (int channels)
void | setLengthInPatterns (unsigned short lengthInPatterns)
void | setVersion (unsigned short version)
void | setRestartPosition (unsigned short restartPosition)
void | setPatternCount (unsigned short patternCount)
void | setInstrumentCount (unsigned short instrumentCount)
void | setSampleCount (unsigned int sampleCount)
void | setFlags (unsigned short flags)
void | setTempo (unsigned short tempo)
void | setBpmSpeed (unsigned short bpmSpeed)
Public Member Functions inherited from TagLib::AudioProperties
virtual | ~AudioProperties ()
| AudioProperties (const AudioProperties &)=delete
AudioProperties & | operator= (const AudioProperties &)=delete
virtual TAGLIB_DEPRECATED int | length () const
virtual int | lengthInSeconds () const
virtual int | lengthInMilliseconds () const
virtual int | bitrate () const
virtual int | sampleRate () const

## Additional Inherited Members

Protected Member Functions inherited from TagLib::AudioProperties
| AudioProperties (ReadStyle style)

## Detailed Description

An implementation of audio property reading for XM.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Flag bits.

Enumerator
LinearFreqTable |

## Constructor & Destructor Documentation

## Properties() [1/2]

TagLib::XM::Properties::Properties | ( | AudioProperties::ReadStyle | propertiesStyle | ) |

Referenced by operator=(), and Properties().

## ~Properties()

TagLib::XM::Properties::~Properties | ( |  | ) |

override

## Properties() [2/2]

TagLib::XM::Properties::Properties | ( | const Properties & |  | ) |

delete

References Properties().

## Member Function Documentation

## bpmSpeed()

unsigned short TagLib::XM::Properties::bpmSpeed | ( |  | ) | const

Referenced by setBpmSpeed().

## channels()

int TagLib::XM::Properties::channels | ( |  | ) | const

override virtual

Returns the number of audio channels.

Implements TagLib::AudioProperties.

Referenced by setChannels().

## flags()

unsigned short TagLib::XM::Properties::flags | ( |  | ) | const

Referenced by setFlags().

## instrumentCount()

unsigned short TagLib::XM::Properties::instrumentCount | ( |  | ) | const

Referenced by setInstrumentCount().

## lengthInPatterns()

unsigned short TagLib::XM::Properties::lengthInPatterns | ( |  | ) | const

Referenced by setLengthInPatterns().

## operator=()

Properties & TagLib::XM::Properties::operator= | ( | const Properties & |  | ) |

delete

References Properties().

## patternCount()

unsigned short TagLib::XM::Properties::patternCount | ( |  | ) | const

Referenced by setPatternCount().

## restartPosition()

unsigned short TagLib::XM::Properties::restartPosition | ( |  | ) | const

Referenced by setRestartPosition().

## sampleCount()

unsigned int TagLib::XM::Properties::sampleCount | ( |  | ) | const

Referenced by setSampleCount().

## setBpmSpeed()

void TagLib::XM::Properties::setBpmSpeed | ( | unsigned short | bpmSpeed | ) |

References bpmSpeed(), and TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## setChannels()

void TagLib::XM::Properties::setChannels | ( | int | channels | ) |

References channels().

## setFlags()

void TagLib::XM::Properties::setFlags | ( | unsigned short | flags | ) |

References flags().

## setInstrumentCount()

void TagLib::XM::Properties::setInstrumentCount | ( | unsigned short | instrumentCount | ) |

References instrumentCount().

## setLengthInPatterns()

void TagLib::XM::Properties::setLengthInPatterns | ( | unsigned short | lengthInPatterns | ) |

References lengthInPatterns().

## setPatternCount()

void TagLib::XM::Properties::setPatternCount | ( | unsigned short | patternCount | ) |

References patternCount().

## setRestartPosition()

void TagLib::XM::Properties::setRestartPosition | ( | unsigned short | restartPosition | ) |

References restartPosition().

## setSampleCount()

void TagLib::XM::Properties::setSampleCount | ( | unsigned int | sampleCount | ) |

References sampleCount().

## setTempo()

void TagLib::XM::Properties::setTempo | ( | unsigned short | tempo | ) |

References tempo().

## setVersion()

void TagLib::XM::Properties::setVersion | ( | unsigned short | version | ) |

References version().

## tempo()

unsigned short TagLib::XM::Properties::tempo | ( |  | ) | const

Referenced by setTempo().

## version()

unsigned short TagLib::XM::Properties::version | ( |  | ) | const

Referenced by setVersion().

The documentation for this class was generated from the following file:

- xmproperties.h